io.vertx.rxjava.ext.shell.command

## Class CommandProcess

- java.lang.Object
- - io.vertx.rxjava.ext.shell.io.Tty
  - - io.vertx.rxjava.ext.shell.command.CommandProcess

-     public class CommandProcess
      extends Tty

  The command process provides interaction with the process of the command provided by Vert.x Shell.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandProcess(CommandProcess delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `args()`
    `List<CliToken>` | `argsTokens()`
    `CommandLine` | `commandLine()`
    `void` | `end()` End the process with the exit status
    `void` | `end(int status)` End the process.
    `CommandProcess` | `eventHandler(EventType eventType, Handler<Void> handler)` Set an event handler to be notified by Shell events.
    `Object` | `getDelegate()`
    `static CommandProcess` | `newInstance(CommandProcess arg)`
    `Session` | `session()`
    `CommandProcess` | `setStdin(Stream stdin)` Set a stream on the standard input to read the data.
    `Vertx` | `vertx()`
    `CommandProcess` | `write(String text)`

    - ### Methods inherited from class io.vertx.rxjava.ext.shell.io.Tty

      `height, newInstance, setStdin, stdout, width`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandProcess

          public CommandProcess(CommandProcess delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Overrides:
        `getDelegate` in class `Tty`

    - #### vertx

          public Vertx vertx()

      Returns:
        the current Vert.x instance

    - #### argsTokens

          public List<CliToken> argsTokens()

      Returns:
        the unparsed arguments tokens

    - #### args

          public List<String> args()

      Returns:
        the actual string arguments of the command

    - #### commandLine

          public CommandLine commandLine()

      Returns:
        the command line object or null

    - #### session

          public Session session()

      Returns:
        the shell session

    - #### setStdin

          public CommandProcess setStdin(Stream stdin)

      Description copied from class: `Tty`
      Set a stream on the standard input to read the data.
      Overrides:
        `setStdin` in class `Tty`
      Parameters:
        `stdin` - the standard input
      Returns:
        this object

    - #### eventHandler

          public CommandProcess eventHandler(EventType eventType,
                                             Handler<Void> handler)

      Description copied from class: `Tty`
      Set an event handler to be notified by Shell events.
      Overrides:
        `eventHandler` in class `Tty`
      Parameters:
        `eventType` - the event type
      Returns:

    - #### write

          public CommandProcess write(String text)

    - #### end

          public void end()

      End the process with the exit status

    - #### end

          public void end(int status)

      End the process.
      Parameters:
        `status` - the exit status.

    - #### newInstance

          public static CommandProcess newInstance(CommandProcess arg)

Copyright © 2015. All rights reserved.